Package uk.ac.starlink.topcat.plot2

## Class ShaderControl

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.TabberControl
  - - uk.ac.starlink.topcat.plot2.ConfigControl
    - - uk.ac.starlink.topcat.plot2.ShaderControl

- All Implemented Interfaces:
    `Configger`, `Control`

      public class ShaderControl
      extends ConfigControl

  Control for configuring shader scale and axis characteristics.
  Since:
    13 Mar 2013
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ShaderControl​(MultiConfigger configger, ToggleButtonModel auxLockModel)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `configureForLayers​(LayerControl[] layerControls)` | Configures state according to the current state of the control stack.
    `uk.ac.starlink.ttools.plot2.ShadeAxisFactory` | `createShadeAxisFactory​(LayerControl[] controls, ZoneId zid)` | Returns an object which can turn a range into a ShadeAxis based on current config of this component and a set of layer controls.
    `uk.ac.starlink.ttools.plot.Range` | `getFixRange()` | Returns an aux value range explicitly fixed by the user.
    `uk.ac.starlink.ttools.plot2.Subrange` | `getSubrange()` | Returns an aux value subrange set by the user.
    `boolean` | `isLog()` |

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.ConfigControl

      `addSpecifierTab, getConfig, getConfigSpecifiers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.TabberControl

      `addActionListener, addControlTab, addZoneTab, getActionForwarder, getControlIcon, getControlLabel, getPanel, getTabber, removeActionListener`

- - ### Constructor Detail

    - #### ShaderControl

          public ShaderControl​(MultiConfigger configger,
                               ToggleButtonModel auxLockModel)

      Constructor.
      Parameters:
        `configger` - config source containing some plot-wide config, specifically captioner style
        `auxLockModel` - toggle to control whether aux ranges are updated dynamically or held fixed; may be null

  - ### Method Detail

    - #### getFixRange

          public uk.ac.starlink.ttools.plot.Range getFixRange()

      Returns an aux value range explicitly fixed by the user.
      Returns:
        shader fixed range, either or both bounds may be absent

    - #### getSubrange

          public uk.ac.starlink.ttools.plot2.Subrange getSubrange()

      Returns an aux value subrange set by the user.
      Returns:
        shader subrange

    - #### createShadeAxisFactory

          public uk.ac.starlink.ttools.plot2.ShadeAxisFactory createShadeAxisFactory​(LayerControl[] controls,
                                                                                     ZoneId zid)

      Returns an object which can turn a range into a ShadeAxis based on current config of this component and a set of layer controls.
      Parameters:
        `controls` - list of layer controls to which the axis will apply
        `zid` - identifier for zone to which axis factory applies
      Returns:
        shade axis factory

    - #### isLog

          public boolean isLog()

    - #### configureForLayers

          public void configureForLayers​(LayerControl[] layerControls)

      Configures state according to the current state of the control stack.
      Parameters:
        `layerControls` - list of layer controls relevant to this shading

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.